import 'package:flutter/material.dart';
import 'package:ncz_flutter_video/video_view.dart';

///视频详情
class VideoDetailPage extends StatefulWidget {
  @override
  _VideoDetailPageState createState() => _VideoDetailPageState();
}

class _VideoDetailPageState extends State<VideoDetailPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(),
      body: Column(
        children: [Text('视频详情页'), _buildVideoView(), _buildTestRow()],
      ),
    );
  }

  Widget _buildVideoView() {
    var url =
        "https://stream7.iqilu.com/10339/upload_transcode/202002/18/20200218114723HDu3hhxqIT.mp4";
    return VideoView(url);
  }

  Widget _buildTestRow() {
    return Row(
      children: [
        const FlutterLogo(),
        Flexible(
            child: Text(
          "https://stream7.iqilu.com/10339/",
          maxLines: 1,
          overflow: TextOverflow.ellipsis,
        )),
        Icon(Icons.sentiment_satisfied)
        // Flexible(child: const Icon(Icons.sentiment_satisfied)),
      ],
    );
  }
}
